/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: NewGraphGridClass.as 5084 2009-08-28 09:03:19Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.confeditor.view
{
import mx.collections.ArrayCollection;
import mx.controls.DataGrid;
import mx.controls.dataGridClasses.DataGridColumn;

public class NewGraphGridClass extends DataGrid {

    public function NewGraphGridClass(dataprovider:ArrayCollection) {
        super();

        // set the dataProvider
        this.dataProvider = dataprovider;

        // the grid is editable
        this.editable = true;

        // set the columns
        var column1:DataGridColumn = new DataGridColumn();
        column1.dataField = "Value";
        column1.editable = false;

        var column2:DataGridColumn = new DataGridColumn();
        column2.dataField = "Name";

        var column3:DataGridColumn = new DataGridColumn();
        column3.dataField = "Color";
        column3.width = 70;
        column3.editable = false;
        column3.itemRenderer = new

    }

    public function creationComplete():void {
        this.width = "100%";
        this.height = "100%";
    }

}
}
